Update tax group
Update an existing tax group
Also accepts PATCH with the same body.
PUT
/
admin
/
api
/
v1
/
accounts
/
tax-groups
/
{id}
Update tax group
curl --request PUT \
--url https://erp.arukz.com/admin/api/v1/accounts/tax-groups/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "VAT Group",
"company_id": 1,
"country_id": 233,
"preceding_subtotal": "Subtotal"
}
'import requests
url = "https://erp.arukz.com/admin/api/v1/accounts/tax-groups/{id}"
payload = {
"name": "VAT Group",
"company_id": 1,
"country_id": 233,
"preceding_subtotal": "Subtotal"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'VAT Group',
company_id: 1,
country_id: 233,
preceding_subtotal: 'Subtotal'
})
};
fetch('https://erp.arukz.com/admin/api/v1/accounts/tax-groups/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://erp.arukz.com/admin/api/v1/accounts/tax-groups/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'VAT Group',
'company_id' => 1,
'country_id' => 233,
'preceding_subtotal' => 'Subtotal'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": 1,
"name": "Tax 15%",
"preceding_subtotal": null,
"sort": 1,
"company_id": 1,
"country_id": 104,
"creator_id": 1,
"created_at": "2026-01-07T11:08:43.000000Z",
"updated_at": "2026-01-07T11:08:43.000000Z"
},
"message": "Tax group updated successfully."
}{
"message": "Unauthenticated."
}{
"message": "Resource not found."
}{
"message": "The given data was invalid.",
"errors": {
"name": [
"The name field is required."
]
}
}Authorizations
An API token from Sign in, sent as Authorization: Bearer <token>. Tokens last 30 days.
Body
application/json
Response
Success
⌘I
Update tax group
curl --request PUT \
--url https://erp.arukz.com/admin/api/v1/accounts/tax-groups/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "VAT Group",
"company_id": 1,
"country_id": 233,
"preceding_subtotal": "Subtotal"
}
'import requests
url = "https://erp.arukz.com/admin/api/v1/accounts/tax-groups/{id}"
payload = {
"name": "VAT Group",
"company_id": 1,
"country_id": 233,
"preceding_subtotal": "Subtotal"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'VAT Group',
company_id: 1,
country_id: 233,
preceding_subtotal: 'Subtotal'
})
};
fetch('https://erp.arukz.com/admin/api/v1/accounts/tax-groups/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://erp.arukz.com/admin/api/v1/accounts/tax-groups/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'VAT Group',
'company_id' => 1,
'country_id' => 233,
'preceding_subtotal' => 'Subtotal'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": 1,
"name": "Tax 15%",
"preceding_subtotal": null,
"sort": 1,
"company_id": 1,
"country_id": 104,
"creator_id": 1,
"created_at": "2026-01-07T11:08:43.000000Z",
"updated_at": "2026-01-07T11:08:43.000000Z"
},
"message": "Tax group updated successfully."
}{
"message": "Unauthenticated."
}{
"message": "Resource not found."
}{
"message": "The given data was invalid.",
"errors": {
"name": [
"The name field is required."
]
}
}